- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Defines | Typedefs | Functions

# qwindowdefs_win.h File Reference

`#include <QtCore/qglobal.h>`

Go to the source code of this file.

## Defines
#define | Q_WINSTRICT
#define | STRICT
#define | Q_DECLARE_HANDLE(name) struct name##__; typedef struct name##__ *name
## Typedefs
typedef HICON | HCURSOR
typedef long | HRESULT
typedef struct tagMSG | MSG
typedef HWND | WId
## Functions
| Q_DECLARE_HANDLE (HINSTANCE)
| Q_DECLARE_HANDLE (HDC)
| Q_DECLARE_HANDLE (HWND)
| Q_DECLARE_HANDLE (HFONT)
| Q_DECLARE_HANDLE (HPEN)
| Q_DECLARE_HANDLE (HBRUSH)
| Q_DECLARE_HANDLE (HBITMAP)
| Q_DECLARE_HANDLE (HICON)
| Q_DECLARE_HANDLE (HPALETTE)
| Q_DECLARE_HANDLE (HRGN)
| Q_DECLARE_HANDLE (HMONITOR)
QT_BEGIN_NAMESPACE Q_CORE_EXPORT HINSTANCE | qWinAppInst ()
Q_CORE_EXPORT HINSTANCE | qWinAppPrevInst ()
Q_CORE_EXPORT int | qWinAppCmdShow ()
Q_GUI_EXPORT HDC | qt_win_display_dc ()

## Define Documentation

#define Q_WINSTRICT

Search for all occurrences

Definition at line 56 of file qwindowdefs_win.h.

#define STRICT

Search for all occurrences

Definition at line 62 of file qwindowdefs_win.h.

#define Q_DECLARE_HANDLE | ( |  | name | ) | struct name##__; typedef struct name##__ *name

Search for all occurrences

Definition at line 65 of file qwindowdefs_win.h.

## Typedef Documentation

typedef HICON HCURSOR

Search for all occurrences

Definition at line 102 of file qwindowdefs_win.h.

typedef long HRESULT

Search for all occurrences

Definition at line 114 of file qwindowdefs_win.h.

typedef struct tagMSG MSG

Search for all occurrences

Definition at line 117 of file qwindowdefs_win.h.

typedef HWND WId

Search for all occurrences

Definition at line 118 of file qwindowdefs_win.h.

## Function Documentation

Q_DECLARE_HANDLE | ( | HINSTANCE |  | ) |

Search for all occurrences

Q_DECLARE_HANDLE | ( | HDC |  | ) |

Search for all occurrences

Q_DECLARE_HANDLE | ( | HWND |  | ) |

Search for all occurrences

Q_DECLARE_HANDLE | ( | HFONT |  | ) |

Search for all occurrences

Q_DECLARE_HANDLE | ( | HPEN |  | ) |

Search for all occurrences

Q_DECLARE_HANDLE | ( | HBRUSH |  | ) |

Search for all occurrences

Q_DECLARE_HANDLE | ( | HBITMAP |  | ) |

Search for all occurrences

Q_DECLARE_HANDLE | ( | HICON |  | ) |

Search for all occurrences

Q_DECLARE_HANDLE | ( | HPALETTE |  | ) |

Search for all occurrences

Q_DECLARE_HANDLE | ( | HRGN |  | ) |

Search for all occurrences

Q_DECLARE_HANDLE | ( | HMONITOR |  | ) |

Search for all occurrences

QT_BEGIN_NAMESPACE Q_CORE_EXPORT HINSTANCE qWinAppInst | ( |  | ) |

Search for all occurrences

Q_CORE_EXPORT HINSTANCE qWinAppPrevInst | ( |  | ) |

Search for all occurrences

Q_CORE_EXPORT int qWinAppCmdShow | ( |  | ) |

Search for all occurrences

Q_GUI_EXPORT HDC qt_win_display_dc | ( |  | ) |

Search for all occurrences